Name:           python-openmetadata-ingestion
Version:        1.8.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Ingestion Framework for OpenMetadata

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://open-metadata.org/
Source:         %{pypi_source openmetadata_ingestion}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'openmetadata-ingestion' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-openmetadata-ingestion
Summary:        %{summary}

%description -n python3-openmetadata-ingestion %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-openmetadata-ingestion airflow,all,all-dev-env,amundsen,athena,atlas,azure-sso,azuresql,backup,bigquery,bigtable,cassandra,clickhouse,cockroach,couchbase,dagster,data-insight,databricks,datalake-azure,datalake-gcs,datalake-s3,db2,db2-ibmi,dbt,deltalake,deltalake-spark,deltalake-storage,dev,domo,doris,druid,dynamodb,e2e_test,elasticsearch,exasol,glue,great-expectations,great-expectations-1xx,greenplum,hive,iceberg,impala,kafka,kafkaconnect,kinesis,looker,mlflow,mongo,mssql,mssql-odbc,mysql,nifi,openlineage,opensearch,oracle,pgspider,pii-processor,pinotdb,playwright,postgres,powerbi,presidio-analyzer,presto,pymssql,qliksense,quicksight,redash,redpanda,redshift,sagemaker,salesforce,sample-data,sap-hana,sas,singlestore,sklearn,slim,snowflake,superset,tableau,teradata,test,test-unit,trino,vertica


%prep
%autosetup -p1 -n openmetadata_ingestion-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x airflow,all,all-dev-env,amundsen,athena,atlas,azure-sso,azuresql,backup,bigquery,bigtable,cassandra,clickhouse,cockroach,couchbase,dagster,data-insight,databricks,datalake-azure,datalake-gcs,datalake-s3,db2,db2-ibmi,dbt,deltalake,deltalake-spark,deltalake-storage,dev,domo,doris,druid,dynamodb,e2e_test,elasticsearch,exasol,glue,great-expectations,great-expectations-1xx,greenplum,hive,iceberg,impala,kafka,kafkaconnect,kinesis,looker,mlflow,mongo,mssql,mssql-odbc,mysql,nifi,openlineage,opensearch,oracle,pgspider,pii-processor,pinotdb,playwright,postgres,powerbi,presidio-analyzer,presto,pymssql,qliksense,quicksight,redash,redpanda,redshift,sagemaker,salesforce,sample-data,sap-hana,sas,singlestore,sklearn,slim,snowflake,superset,tableau,teradata,test,test-unit,trino,vertica


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-openmetadata-ingestion -f %{pyproject_files}


%changelog
%autochangelog